> ## Documentation Index
> Fetch the complete documentation index at: https://help.decodo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取端点

> 获取住宅代理订阅的端点类型



## OpenAPI

````yaml /cn/api-reference/cn-jero_public_api.yaml get /v2/endpoints
openapi: 3.1.0
info:
  title: Smartproxy
  version: '1.2'
servers:
  - url: https://api.decodo.com
security:
  - sec0: []
tags:
  - name: 子用户
    description: 管理住宅代理订阅的子用户
  - name: 白名单 IP
    description: 管理住宅代理订阅的白名单 IP
  - name: 端点
    description: 管理和生成代理端点
  - name: 订阅
    description: 订阅信息
paths:
  /v2/endpoints:
    get:
      tags:
        - 端点
      summary: 获取端点
      description: 获取住宅代理订阅的端点类型
      operationId: get-endpoints
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    [
                      0:{
                        "type":"random"
                        "available_locations":"148"
                        "url":"endpoints/random"
                      }
                      1:{
                        "type":"sticky"
                        "available_locations":"62"
                        "url":"endpoints/sticky"
                      }
                    ]
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
      security: []
components: {}

````